Sorry your browser is not supported!

You are using an outdated browser that does not support modern web technologies, in order to use this site please update to a new browser.

Browsers supported include Chrome, FireFox, Safari, Opera, Internet Explorer 10+ or Microsoft Edge.

Dark GDK / Plugins

Author
Message
DallasG
14
Years of Service
User Offline
Joined: 8th Dec 2004
Location: Jozi SA
Posted: 10th Dec 2004 17:22
Hi All

just purchased DarkSDK, and wow!!!!!! love it

How can I create plug-ins extensions? Are we allowed too?

*AMD64 3200+* *Lanparty UT nf3 250gb* *Leadtek nVidia 6800GT* *768Mb DDR400* *Coolermaster CM Stacker*
<img src="http://www.blacklung.co.za/gfx/sig01.jpg"/>
OSX Using Happy Dude
15
Years of Service
User Offline
Joined: 21st Aug 2003
Location: At home
Posted: 10th Dec 2004 17:54
Not yet - its to be added later on.

Walk softly... and carry a big gun...
DallasG
14
Years of Service
User Offline
Joined: 8th Dec 2004
Location: Jozi SA
Posted: 10th Dec 2004 18:18
thanks

*AMD64 3200+* *Lanparty UT nf3 250gb* *Leadtek nVidia 6800GT* *768Mb DDR400* *Coolermaster CM Stacker*
APEXnow
Retired Moderator
16
Years of Service
User Offline
Joined: 15th Apr 2003
Location: On a park bench
Posted: 11th Dec 2004 10:04
Although Mike did confirm for me that if you generate your plugin as a .lib file which can be linked into a users application (your lib using the SDK), this is supposed to be fine, as long as there are no function conflicts.

Paul.


Home of the Cartography Shop - DarkBASIC Professional map importer
Jizzah
14
Years of Service
User Offline
Joined: 9th Dec 2004
Location:
Posted: 11th Dec 2004 11:40
On that note what about the availability of the other plug-ins you have on this site for use within the DarkSDK? Any plans or release dates? I would be happy to use some of the plugins that you have for DBPro within the DarkSDK.
DallasG
14
Years of Service
User Offline
Joined: 8th Dec 2004
Location: Jozi SA
Posted: 11th Dec 2004 15:06
sounds good, will give it a bash

*AMD64 3200+* *Lanparty UT nf3 250gb* *Leadtek nVidia 6800GT* *768Mb DDR400* *Coolermaster CM Stacker*
Erick G
Retired Moderator
14
Years of Service
User Offline
Joined: 2nd Oct 2004
Location: Texas, USA
Posted: 11th Dec 2004 15:07
As far as I have heard, there are plans yes. No release dates.
walaber
15
Years of Service
User Offline
Joined: 22nd Oct 2003
Location: Los Angeles, CA
Posted: 11th Dec 2004 18:31
seeing as it's just C/C++, I would think you could probably link up any library you feel like...

as for the official expansion packs, they'd have to be compiled for darkSDK, which I understand will happen eventually

Go Go Gadget DBPRO!

Athlon XP 2400+ || DDR-SDRAM 1GB || Nvidia GeForce 4 Ti4200 AGP 8x 128MB

Login to post a reply

Server time is: 2019-07-16 03:08:35
Your offset time is: 2019-07-16 03:08:35